import 'package:flutter_custom_toolbox/flutter_toolbox.dart';

class CellLocation {
  int col;
  int row;

  CellLocation({
    required this.col,
    required this.row,
  });

  factory CellLocation.go(int row, int col) {
    return CellLocation(col: col, row: row);
  }

  void moveRight() {
    col += 1;
  }

  void moveLeft() {
    col -= 1;
  }

  void moveTop() {
    row -= 1;
  }

  void moveBottom() {
    row += 1;
  }

  void dump() {
    printlog('$CellLocation:');
    printlog('  row: $row');
    printlog('  col: $col');
    printlog('');
  }

  @override
  String toString() {
    return '$CellLocation(${toJson()})';
  }

  Map<String, dynamic>? toJson() {
    return <String, dynamic>{
      'row': row,
      'col': col,
    };
  }
}
